За последние 24 часа нас посетили 6617 программистов и 530 роботов. Сейчас ищут 206 программистов ...

Unable to load dynamic library php_oci8.dll

Тема в разделе "Oracle Database", создана пользователем Joker_pnz, 18 фев 2010.

  1. Joker_pnz

    Joker_pnz Активный пользователь

    С нами с:
    18 фев 2010
    Сообщения:
    4
    Симпатии:
    0
    Адрес:
    Пенза
    Не получается подключиться к оракл.
    php-5.2.9
    apache_2.2.14
    Oracle 9i

    На машине стоит оракловый клиент 9, из него коннект идёт отлично.
    К MySql и SQLServer коннектится без проблем
    Где-то читал, что
    "Вам понадобятся клиентские библиотеки Oracle для того, чтобы использовать этот модуль. Пользователям Windows будут необходимы библиотеки минимум версии 10 для того, чтобы использовать php_oci8.dll."
    Где их тогда скачать и куда положить?... на официальном сайте оракл есть такая вещь http://www.oracle.com/technology/tech/o ... index.html, но просит какой-то пароль :(

    [18-Feb-2010 11:11:40] PHP Warning: PHP Startup: Unable to load dynamic library 'C:\PHP\ext\php_oci8.dll' - Не найдена указанная процедура.

    in Unknown on line 0

    [18-Feb-2010 11:11:41] PHP Warning: PHP Startup: Unable to load dynamic library 'C:\PHP\ext\php_oci8.dll' - Не найдена указанная процедура.

    in Unknown on line 0
     
  2. Joker_pnz

    Joker_pnz Активный пользователь

    С нами с:
    18 фев 2010
    Сообщения:
    4
    Симпатии:
    0
    Адрес:
    Пенза
    Спрошу по-другому, кто-нить работает с оракл 9??? Если да, какая версия пхп у вас стоит?
     
  3. Работали. Года три назад. Был 5.1.2
     
  4. Joker_pnz

    Joker_pnz Активный пользователь

    С нами с:
    18 фев 2010
    Сообщения:
    4
    Симпатии:
    0
    Адрес:
    Пенза
    тема закрыта, балбес - исправлюсь... )
     
  5. alex_paladin

    alex_paladin Активный пользователь

    С нами с:
    20 июл 2010
    Сообщения:
    1
    Симпатии:
    0
    Joker_pnz, пожалуйста, поделитесь, как же вы все-таки решили эту проблему. :)

    У меня Unable to load dynamic library 'C:\PHP\ext\php_oci8.dll' не исчез даже после обновления DLL'ки по ссылке, рекомендуемой на сайте Оракл.
     
  6. Joker_pnz

    Joker_pnz Активный пользователь

    С нами с:
    18 фев 2010
    Сообщения:
    4
    Симпатии:
    0
    Адрес:
    Пенза
    Насколько я понял для PHP 5.Х нужен Oracle Instant Client 10.
    Качать его по той ссылке, что указана наверху.
    Решил вопрос здесь
    http://sql.ru/forum/actualthread.aspx?b ... 36027&pg=1
    можешь почитать, если интересно